Subject: Re: bug#10642: xt-mouse: Support extended coordinates

From: Chong Yidong <[email-masked]>
Date: Sat, 14 Jul 2012 23:46:35 +0800

Egmont Koblinger <[email-masked]> writes:

> When running in terminal, Emacs only supports mouse clicks up to
> column or row 223, due to a limitation in the original mouse protocol.
> However, there is an extension (well, unfortunately, there are a
> couple of extensions) to overcome this limit.
>
> This request is hereby for emacs to implement one of them, so that
> mouse click works on arbitrary coordinates.

Thanks; the detailed information in your report was very useful.  I've
implemented the 1006 protocol handling, and committed it to trunk.

The code assumes that if the terminal does not support 1006 mode,
sending the \e[?1006h sequence is a no-op, and mouse click events are
received using the old protocol.  We look for both \e[M and \e[< events
and handle them.  This seems to work on XTerms supporting 1006 mode
(tested with xterm-281) as well as older ttys (tested with xterm-271 and
xfce4-terminal 0.4.8).